## mozc 1.5.1053.102

=== debian/changelog ===
mozc (1.5.1053.102-3) unstable; urgency=low

  * Fix FTBFS with building binary only.
    Split override_dh_fixperms to override_dh_fixperms-indeps and arch.
  * Update dh_clean target. Delete cache files.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 14 May 2012 08:24:04 +0900

mozc (1.5.1053.102-2) unstable; urgency=low

  * Update debian/copyright to DEP5.
  * Add DEP-3 header to debian/patches/*
  * Remove unnecessary patches.
    patches/add_file_to_gypfile_check.patch
    patches/bug107_request_surrounding_text.patch
    patches/emacs_fix.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 11 May 2012 07:58:58 +0900

mozc (1.5.1053.102-1) unstable; urgency=low

  * New upstream release (r114) (Closes: #670685, #667287).
  * Update patches/support-kfreebsd.patch.
  * Update patches/uim-mozc.patch (macuim r317).
  * Add support fcitx framework (Closes: #669090).
  * Split image data to mozc-data package.
  * Add gettext to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 04 May 2012 06:44:18 +0900

=== debian/control ===
Source: mozc
Section: utils
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~),
	libibus-1.0-dev (>= 1.2) | libibus-dev (>= 1.2),
	libcurl4-openssl-dev, pkg-config,
	python-dev, gyp (>= 0.1~svn824), protobuf-compiler, libgtest-dev,
	libprotobuf-dev, libqt4-dev, libscim-dev, libuim-dev,
	libzinnia-dev, fcitx-libs-dev, gettext
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/mozc/

Package: mozc-data
Architecture: all
Depends: ${misc:Depends}
Description: Mozc input method - data files
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 This package provides the essential data files.
 .
 This open-source project originates from Google Japanese Input.

Package: ibus-mozc
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-data,
	ibus (>= 1.2), mozc-server (= ${binary:Version}), tegaki-zinnia-japanese
Recommends: mozc-utils-gui (= ${binary:Version})
Description: Mozc engine for IBus - Client of the Mozc input method
 IBus is an Intelligent Input Bus. It is a new input framework for Linux OS.
 It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 ibus-mozc provides client part of the Mozc input method.
 .
 This open-source project originates from Google Japanese Input.

Package: scim-mozc
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}, scim, mozc-data,
	mozc-server (= ${binary:Version}), tegaki-zinnia-japanese
Description: Mozc engine for SCIM - Client of the Mozc input method
 Smart Common Input Method (SCIM) is an input method (IM) platform.
 Input methods are needed to enter complex characters in many non-latin 
 languages. SCIM provides a common platform for various plugin modules and 
 independent IM programs, as well as a set of modules and programs on its own.
 It is highly modularized and exposes abstract interfaces, so that plugin 
 modules with different functions can easily communicate with each other.
 .
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 scim-mozc provides client part of the Mozc input method.
 .
 This open-source project originates from Google Japanese Input.

Package: uim-mozc
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.5.7-9),
	mozc-data, mozc-server (= ${binary:Version})
Description: Mozc engine for uim - Client of the Mozc input method
 uim is an input method module library supporting various languages, which 
 become a frontend for Anthy, SKK, Canna, T-Code, TUT-Code, 
 Pinyin (Chinese input method), Hangul (Korean input method), 
 IPA (International Phonetic Alphabet), etc.
 Most of the functions are implemented with Scheme, so it's very simple 
 and flexible.
 .
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 uim-mozc provides client part of the Mozc input method.

Package: fcitx-mozc
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}, fcitx-bin, fcitx-data, fcitx-modules,
	mozc-server (= ${binary:Version})
Description: Mozc engine for fcitx - Client of the Mozc input method
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. 
 It is highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, 
 support for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and
 a developer-friendly API.
 .
 fcitx-mozc provides client part of the Mozc input method.

Package: emacs-mozc
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, emacs | emacs23, emacs-mozc-bin (= ${binary:Version})
Description: Mozc for Emacs
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 This package provides the elisp files to run mozc with GNU Emacs.
 .
 This open-source project originates from Google Japanese Input.

Package: emacs-mozc-bin
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-server (= ${binary:Version})
Description: Helper module for emacs-mozc
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 This package provides the helper module to the GNU Emacs.
 .
 This open-source project originates from Google Japanese Input.

Package: mozc-server
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Server of the Mozc input method
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 mozc-server provides GUI utilities of the Mozc input method.
 .
 This open-source project originates from Google Japanese Input.

Package: mozc-utils-gui
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: mozc-server (= ${binary:Version})
Suggests: ibus-qt4
Description: GUI utilities of the Mozc input method
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 mozc-server provides GUI uitilities of the Mozc input method.
 This uses GUI and can set ibus-mozc and the user's dictionary.
 .
 This open-source project originates from Google Japanese Input.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
DEB_BUILD_MULTIARCH :=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
ifeq ($(DEB_BUILD_ARCH_OS),linux)
  BUILD_OS=linux
endif
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
  BUILD_OS=gnu-kfreebsd
endif
BUILD_DIR=./out_linux

TARGETS=unix/ibus/ibus.gyp:ibus_mozc \
	unix/scim/scim.gyp:scim_mozc unix/scim/scim.gyp:scim_mozc_setup \
	unix/emacs/emacs.gyp:mozc_emacs_helper \
	unix/uim/uim.gyp:uim-mozc \
	unix/fcitx/fcitx.gyp:fcitx-mozc \
	server/server.gyp:mozc_server gui/gui.gyp:mozc_tool \
	renderer/renderer.gyp:mozc_renderer

# for architecture dependent variables and changelog vars
vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
CHANGELOG_VARS := $(shell dpkg-parsechangelog | \
	sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')

SOURCE_VERSION := $(call vafilt,$(CHANGELOG_VARS),Version)
SCIM_MODDIR=`pkg-config --variable=moduledir scim`

%:
	dh --with quilt $@ 

override_dh_auto_configure:
	python build_mozc.py gyp --gypdir=/usr/bin --channel_dev=0 \
		--os=$(BUILD_OS) --build_base=$(BUILD_DIR) \
		--use_libprotobuf --enable_gtk_renderer

override_dh_auto_build:
	python build_mozc.py build_tools -c Release --jobs=1
	python build_mozc.py build $(TARGETS) -c Release --jobs=1

override_dh_auto_clean:
	python build_mozc.py clean
	rm -rf build_tools/__init__.pyc 
	rm -rf build_tools/mozc_version.pyc
	rm -rf build_tools/test_tools/__init__.pyc
	rm -rf build_tools/test_tools/task_scheduler.pyc
	rm -rf build_tools/util.pyc
	rm -rf build_tools/code_generator_util.pyc
	rm -rf rewriter/embedded_dictionary_compiler.pyc
	rm -rf rewriter/__init__.pyc
	rm -rf dictionary/pos_util.pyc
	rm -rf dictionary/__init__.pyc
	rm -rf third_party/rx/rx.Makefile

override_dh_auto_install:
	# ibus-mozc
	install -D -m 0755  $(BUILD_DIR)/Release/ibus_mozc \
		$(CURDIR)/debian/ibus-mozc/usr/lib/ibus-mozc/ibus-engine-mozc
	install -d $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/
	sed -e 's|/usr/libexec/ibus-engine-mozc|/usr/lib/ibus-mozc/ibus-engine-mozc|' \
		-e 's|0\.0\.0\.0|$(SOURCE_VERSION)|g' < \
		$(BUILD_DIR)/Release/obj/gen/unix/ibus/mozc.xml > \
		$(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/mozc.xml
	
	# scim-mozc
	install -D -m 0755 $(BUILD_DIR)/Release/lib.target/libscim_mozc.so \
		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/IMEngine/mozc.so
	install -D -m 0755 $(BUILD_DIR)/Release/lib.target/libscim_mozc_setup.so \
		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/SetupUI/mozc-setup.so

	# fcitx-mozc
	install -D -m 0755 $(BUILD_DIR)/Release/fcitx-mozc.so \
		 $(CURDIR)/debian/fcitx-mozc/usr/lib/$(DEB_BUILD_MULTIARCH)/fcitx/fcitx-mozc.so

override_dh_fixperms-arch:
	chmod -x debian/emacs-mozc/usr/share/emacs/site-lisp/emacs-mozc/mozc.el
	dh_fixperms

override_dh_fixperms-indep:
	chmod -x debian/mozc-data/usr/share/icons/mozc/*.png
	dh_fixperms

.PHONY: override_dh_installemacsen
override_dh_installemacsen:
	dh_installemacsen --priority=50

## mozc 1.5.1090.102

=== third_party/rx/v1_1_2/Makefile ===
PROF=-pg
CFLAGS=-g -Wall $(PROF) -O2
DIST=rx-1.1.2

all	: rx_example rx_test

rx_example	: rx_example.o rx.o
	gcc rx_example.o rx.o $(PROF) -o rx_example

rx_test	: rx_test.o rx.o
	gcc rx_test.o rx.o $(PROF) -o rx_test

rx_example.o	: rx_example.c rx.h
rx_test.o	: rx_test.c rx.h

rx.o	: rx.c rx.h

clean	:
	rm -f *.o

dist	:
	rm -rf $(DIST)
	mkdir $(DIST)
	cp -f README Makefile rx_example.c rx_test.c rx.c rx.h $(DIST)
	tar cvzf $(DIST).tar.gz $(DIST)

=== debian/changelog ===
mozc (1.5.1090.102-4ubuntu1) raring; urgency=low

  * Merge with Debian, remaining change
    - debian/patches/open-preferences.patch: add metadata to open
      preferences from ibus-setup

 -- Iain Lane <iain.lane@canonical.com>  Wed, 14 Nov 2012 09:56:54 +0000

mozc (1.5.1090.102-4) unstable; urgency=low

  * Update debian/uim-mozc.postinst.
    Move installed-modules.scm and loader.scm from /etc/uim to /var/lib/uim
    in uim package. uim-mozc.postinst need to change path from /etc/uim to
    /var/lib/uim.
  * Update debian/control.
    Dump version of uim-utils to 1:1.8.1-3.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 26 Sep 2012 07:59:54 +0900

mozc (1.5.1090.102-3) unstable; urgency=low

  * Update debian/rules.
    - Enable hardening.
  * Fix linking library of scim.
    Add patches/scim-libs.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 20 Jul 2012 05:13:19 +0900

mozc (1.5.1090.102-2ubuntu1) quantal; urgency=low

  * debian/patches/open-preferences.patch: add metadata to open
    preferences from ibus-setup, LP: #1037876

 -- Nobuto MURATA <nobuto@ubuntu.com>  Tue, 11 Sep 2012 00:54:03 +0900

mozc (1.5.1090.102-2) unstable; urgency=high

  * Fix FTBFS on kFreeBSD. (Closes: #678707)
    Disable renderer.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 28 Jun 2012 06:12:46 +0900

mozc (1.5.1090.102-1) unstable; urgency=high

  * Update debian/control.
    - Update debhelper to 9.
    - Add fcitx to Recommends of fcitx-mozc. (Closes: #673249)
    - Support multiarch for uim-mozc. (Closes: 676996)
  * Update debian/rules.
    - Add hardening options.
    - Remove --enable_gtk_renderer option.
  * Update patch of fcitx framework. (Closes: #676724)
  * Update README.Debian. (Closes: #675939)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 11 Jun 2012 18:10:56 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: mozc
 Section: utils
 Priority: optional
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Build-Depends: debhelper (>= 9),
 	libibus-1.0-dev (>= 1.2) | libibus-dev (>= 1.2),
 	libcurl4-openssl-dev, pkg-config,
 	python-dev, gyp (>= 0.1~svn824), protobuf-compiler, libgtest-dev,
@@ -14,6 +15,7 @@
 Package: mozc-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Mozc input method - data files
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
  such as Chromium OS, Windows, Mac and Linux.
@@ -43,6 +45,7 @@
 Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
 Depends: ${misc:Depends}, ${shlibs:Depends}, scim, mozc-data,
 	mozc-server (= ${binary:Version}), tegaki-zinnia-japanese
+Multi-Arch: foreign
 Description: Mozc engine for SCIM - Client of the Mozc input method
  Smart Common Input Method (SCIM) is an input method (IM) platform.
  Input methods are needed to enter complex characters in many non-latin 
@@ -60,8 +63,9 @@
 
 Package: uim-mozc
 Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
-Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.5.7-9),
+Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.8.1-2),
 	mozc-data, mozc-server (= ${binary:Version})
+Multi-Arch: same
 Description: Mozc engine for uim - Client of the Mozc input method
  uim is an input method module library supporting various languages, which 
  become a frontend for Anthy, SKK, Canna, T-Code, TUT-Code, 
@@ -79,6 +83,8 @@
 Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
 Depends: ${misc:Depends}, ${shlibs:Depends}, fcitx-bin, fcitx-data, fcitx-modules,
 	mozc-server (= ${binary:Version})
+Recommends: fcitx
+Multi-Arch: same
 Description: Mozc engine for fcitx - Client of the Mozc input method
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -117,6 +123,7 @@
 Package: mozc-server
 Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
 Description: Server of the Mozc input method
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
  such as Chromium OS, Windows, Mac and Linux.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,21 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+
 DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 DEB_BUILD_MULTIARCH :=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
 ifeq ($(DEB_BUILD_ARCH_OS),linux)
   BUILD_OS=linux
+  TARGET=renderer/renderer.gyp:mozc_renderer
 endif
 ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
   BUILD_OS=gnu-kfreebsd
+  TARGET=
 endif
 BUILD_DIR=./out_linux
 
@@ -16,8 +24,7 @@
 	unix/emacs/emacs.gyp:mozc_emacs_helper \
 	unix/uim/uim.gyp:uim-mozc \
 	unix/fcitx/fcitx.gyp:fcitx-mozc \
-	server/server.gyp:mozc_server gui/gui.gyp:mozc_tool \
-	renderer/renderer.gyp:mozc_renderer
+	server/server.gyp:mozc_server gui/gui.gyp:mozc_tool $(TARGET)
 
 # for architecture dependent variables and changelog vars
 vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
@@ -28,16 +35,16 @@
 SCIM_MODDIR=`pkg-config --variable=moduledir scim`
 
 %:
-	dh --with quilt $@ 
+	dh $@ 
 
 override_dh_auto_configure:
 	python build_mozc.py gyp --gypdir=/usr/bin --channel_dev=0 \
-		--os=$(BUILD_OS) --build_base=$(BUILD_DIR) \
-		--use_libprotobuf --enable_gtk_renderer
+		--os=${BUILD_OS} --build_base=$(BUILD_DIR) \
+		--use_libprotobuf 
 
 override_dh_auto_build:
-	python build_mozc.py build_tools -c Release --jobs=1
-	python build_mozc.py build $(TARGETS) -c Release --jobs=1
+	V=1 python build_mozc.py build_tools -c Release --jobs=1
+	V=1 python build_mozc.py build $(TARGETS) -c Release --jobs=1
 
 override_dh_auto_clean:
 	python build_mozc.py clean
@@ -52,8 +59,16 @@
 	rm -rf dictionary/pos_util.pyc
 	rm -rf dictionary/__init__.pyc
 	rm -rf third_party/rx/rx.Makefile
+	rm -rf build_tools/test_tools/test_launcher.pyc
+	rm -rf chrome/skk/skk_util_all_test.target.mk
+	rm -rf chrome/skk/skk_util_test.target.mk
 
 override_dh_auto_install:
+ifeq ($(DEB_BUILD_ARCH_OS),linux)
+	# mozc-server
+	install -D -m 0755  $(BUILD_DIR)/Release/mozc_renderer \
+		$(CURDIR)/debian/mozc-server/usr/lib/mozc/mozc_renderer
+endif
 	# ibus-mozc
 	install -D -m 0755  $(BUILD_DIR)/Release/ibus_mozc \
 		$(CURDIR)/debian/ibus-mozc/usr/lib/ibus-mozc/ibus-engine-mozc
@@ -68,6 +83,10 @@
 		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/IMEngine/mozc.so
 	install -D -m 0755 $(BUILD_DIR)/Release/lib.target/libscim_mozc_setup.so \
 		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/SetupUI/mozc-setup.so
+
+	# uim-mozc
+	install -D -m 0755 $(BUILD_DIR)/Release/libuim-mozc.so  \
+		 $(CURDIR)/debian/uim-mozc/usr/lib/$(DEB_BUILD_MULTIARCH)/uim/plugin/libuim-mozc.so
 
 	# fcitx-mozc
 	install -D -m 0755 $(BUILD_DIR)/Release/fcitx-mozc.so \

## mozc 1.6.1187.102

=== debian/changelog ===
mozc (1.6.1187.102-1~exp2) experimental; urgency=low

  * Update debian/uim-mozc.postinst.
    Move installed-modules.scm and loader.scm from /etc/uim to /var/lib/uim
    in uim package. uim-mozc.postinst need to change path from /etc/uim to
    /var/lib/uim.
  * Update debian/control.
    - Dump Standards-Version to 3.9.4.
    - Dump version of uim-utils to 1:1.8.1-3.
    - Change Build-depends from libcurl4-openssl-dev to libssl-dev.
      (Closes: #697118)
    - Remove libgtest-dev from Build-depends.
    - Add libgtk2.0-dev to Build-depends.
    - Add filed of Vcs-Git and Vcs-Browser.
  * Update debian/copyright.
    Remove copyright of base/scoped_ptr.h, because copyright was changed
    to BSD-3-Clause. (Closes: #697122)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 07 Jan 2013 13:48:39 +0900

mozc (1.6.1187.102-1~exp1) experimental; urgency=low

  * New upstream release.
  * Update supporting kfreebsd patch.
  * Drop supporting scim-mozc. Upstream does not support scim from this
    version.
  * Update debian/rules.
    Remove supporting scim-mozc.
  * Update debian/control.
    - Remove section of scim-mozc.
    - Add emacs24 to Depends of emacs-mozc. (Closes: #682040)
    - Bumped version of libibus-dev and libibus-1.0-dev to 1.4.1.
    - Add armel and armhf to Architecture list.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 06 Sep 2012 08:02:31 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: mozc
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9),
-	libibus-1.0-dev (>= 1.2) | libibus-dev (>= 1.2),
-	libcurl4-openssl-dev, pkg-config,
-	python-dev, gyp (>= 0.1~svn824), protobuf-compiler, libgtest-dev,
-	libprotobuf-dev, libqt4-dev, libscim-dev, libuim-dev,
+	libibus-1.0-dev (>= 1.4.1) | libibus-dev (>= 1.4.1),
+	libssl-dev, pkg-config, libxcb-xfixes0-dev, libgtk2.0-dev,
+	python-dev, gyp (>= 0.1~svn824), protobuf-compiler,
+	libprotobuf-dev, libqt4-dev, libuim-dev,
 	libzinnia-dev, fcitx-libs-dev, gettext
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/mozc/
+Vcs-Git: git://anonscm.debian.org/collab-maint/mozc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mozc.git;a=summary
 
 Package: mozc-data
 Architecture: all
@@ -25,7 +26,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: ibus-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-data,
 	ibus (>= 1.2), mozc-server (= ${binary:Version}), tegaki-zinnia-japanese
 Recommends: mozc-utils-gui (= ${binary:Version})
@@ -41,28 +42,8 @@
  .
  This open-source project originates from Google Japanese Input.
 
-Package: scim-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
-Depends: ${misc:Depends}, ${shlibs:Depends}, scim, mozc-data,
-	mozc-server (= ${binary:Version}), tegaki-zinnia-japanese
-Multi-Arch: foreign
-Description: Mozc engine for SCIM - Client of the Mozc input method
- Smart Common Input Method (SCIM) is an input method (IM) platform.
- Input methods are needed to enter complex characters in many non-latin 
- languages. SCIM provides a common platform for various plugin modules and 
- independent IM programs, as well as a set of modules and programs on its own.
- It is highly modularized and exposes abstract interfaces, so that plugin 
- modules with different functions can easily communicate with each other.
- .
- Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
- such as Chromium OS, Windows, Mac and Linux.
- .
- scim-mozc provides client part of the Mozc input method.
- .
- This open-source project originates from Google Japanese Input.
-
 Package: uim-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.8.1-2),
 	mozc-data, mozc-server (= ${binary:Version})
 Multi-Arch: same
@@ -80,7 +61,7 @@
  uim-mozc provides client part of the Mozc input method.
 
 Package: fcitx-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, fcitx-bin, fcitx-data, fcitx-modules,
 	mozc-server (= ${binary:Version})
 Recommends: fcitx
@@ -99,8 +80,8 @@
  fcitx-mozc provides client part of the Mozc input method.
 
 Package: emacs-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
-Depends: ${misc:Depends}, emacs | emacs23, emacs-mozc-bin (= ${binary:Version})
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Depends: ${misc:Depends}, emacs | emacs23 | emacs24, emacs-mozc-bin (= ${binary:Version})
 Description: Mozc for Emacs
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
  such as Chromium OS, Windows, Mac and Linux.
@@ -110,7 +91,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: emacs-mozc-bin
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-server (= ${binary:Version})
 Description: Helper module for emacs-mozc
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
@@ -121,7 +102,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: mozc-server
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: Server of the Mozc input method
@@ -133,7 +114,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: mozc-utils-gui
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: mozc-server (= ${binary:Version})
 Suggests: ibus-qt4

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 BUILD_DIR=./out_linux
 
 TARGETS=unix/ibus/ibus.gyp:ibus_mozc \
-	unix/scim/scim.gyp:scim_mozc unix/scim/scim.gyp:scim_mozc_setup \
 	unix/emacs/emacs.gyp:mozc_emacs_helper \
 	unix/uim/uim.gyp:uim-mozc \
 	unix/fcitx/fcitx.gyp:fcitx-mozc \
@@ -32,15 +31,14 @@
 	sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
 
 SOURCE_VERSION := $(call vafilt,$(CHANGELOG_VARS),Version)
-SCIM_MODDIR=`pkg-config --variable=moduledir scim`
 
 %:
 	dh $@ 
 
 override_dh_auto_configure:
-	python build_mozc.py gyp --gypdir=/usr/bin --channel_dev=0 \
-		--os=${BUILD_OS} --build_base=$(BUILD_DIR) \
-		--use_libprotobuf 
+	GYP_DEFINES="use_libprotobuf=1" python build_mozc.py gyp \
+		--gypdir=/usr/bin --channel_dev=0 \
+		--os=${BUILD_OS} --build_base=$(BUILD_DIR) 
 
 override_dh_auto_build:
 	V=1 python build_mozc.py build_tools -c Release --jobs=1
@@ -54,6 +52,7 @@
 	rm -rf build_tools/test_tools/task_scheduler.pyc
 	rm -rf build_tools/util.pyc
 	rm -rf build_tools/code_generator_util.pyc
+	rm -rf build_tools/android_util.pyc
 	rm -rf rewriter/embedded_dictionary_compiler.pyc
 	rm -rf rewriter/__init__.pyc
 	rm -rf dictionary/pos_util.pyc
@@ -78,12 +77,6 @@
 		$(BUILD_DIR)/Release/obj/gen/unix/ibus/mozc.xml > \
 		$(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/mozc.xml
 	
-	# scim-mozc
-	install -D -m 0755 $(BUILD_DIR)/Release/lib.target/libscim_mozc.so \
-		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/IMEngine/mozc.so
-	install -D -m 0755 $(BUILD_DIR)/Release/lib.target/libscim_mozc_setup.so \
-		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/SetupUI/mozc-setup.so
-
 	# uim-mozc
 	install -D -m 0755 $(BUILD_DIR)/Release/libuim-mozc.so  \
 		 $(CURDIR)/debian/uim-mozc/usr/lib/$(DEB_BUILD_MULTIARCH)/uim/plugin/libuim-mozc.so

## mozc 1.11.1522.102

=== debian/changelog ===
mozc (1.11.1522.102-1ubuntu1) saucy; urgency=low

  * Sync with Debian (LP: #1228639)
  * debian/control:
    - Lower gyp dependency to what's available in Saucy

 -- Nobuto MURATA <nobuto@ubuntu.com>  Mon, 23 Sep 2013 03:51:47 +0900

mozc (1.11.1522.102-1) unstable; urgency=low

  * New upstream release. (Closes: #722653, #716919)
  * Update debian/control.
    - Drop support kFreeBSD.
  * Update patches/fcitx-mozc.patch.
  * Update patches/uim-mozc.patch to r327.
  * Add patches/fix_build_mo_of_fcitx.
  * Update debian/rules.
    - Add "unexport XDG_CONFIG_DIRS" for qtchooser.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 13 Sep 2013 23:30:25 +0900

mozc (1.6.1187.102-1) unstable; urgency=low

  * Upload to unstable.
  * Fix build with gcc-4.8. (Closes: #701325)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 30 May 2013 12:52:59 +0900

mozc (1.6.1187.102-1~exp3) experimental; urgency=low

  * Update debian/rules.
    - Add and fix install path of mo file for fcitx-mozc. (Closes: #704833)
    - Remove '--channel_dev=0' option from build option. (Closes: #704831)
  * Update debian/control.
    Add mozc-data to tegaki-zinnia-japanese to Depends and add
    mozc-utils-gui to Recommends. (Closes: #704832)
  * Update patches/uim-mozc.patch (macuim r323).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 14 Apr 2013 07:42:04 +0900

mozc (1.5.1090.102-5) unstable; urgency=low

  * Fix connect error to server if it is root.
    Add patches/fix-root-issue-at-uim.patch.
  * Update debian/rules.
    Fix install path of mo file for fcitx-mozc.
  * Update debian/control.
    Add mozc-data to tegaki-zinnia-japanese to Depends and add
    mozc-utils-gui to Recommends.
  * Remove debian/fcitx-mozc.install.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 17 Apr 2013 08:12:28 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: mozc
 Section: utils
 Priority: optional
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9),
 	libibus-1.0-dev (>= 1.4.1) | libibus-dev (>= 1.4.1),
 	libssl-dev, pkg-config, libxcb-xfixes0-dev, libgtk2.0-dev,
-	python-dev, gyp (>= 0.1~svn824), protobuf-compiler,
+	python-dev, gyp (>= 0.1~svn1654), protobuf-compiler,
 	libprotobuf-dev, libqt4-dev, libuim-dev,
 	libzinnia-dev, fcitx-libs-dev, gettext
 Standards-Version: 3.9.4
@@ -26,7 +27,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: ibus-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-data,
 	ibus (>= 1.2), mozc-server (= ${binary:Version}), tegaki-zinnia-japanese
 Recommends: mozc-utils-gui (= ${binary:Version})
@@ -43,7 +44,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: uim-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.8.1-2),
 	mozc-data, mozc-server (= ${binary:Version})
 Multi-Arch: same
@@ -61,10 +62,10 @@
  uim-mozc provides client part of the Mozc input method.
 
 Package: fcitx-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, fcitx-bin, fcitx-data, fcitx-modules,
-	mozc-server (= ${binary:Version})
-Recommends: fcitx
+	mozc-server (= ${binary:Version}), mozc-data, tegaki-zinnia-japanese
+Recommends: fcitx, mozc-utils-gui (= ${binary:Version})
 Multi-Arch: same
 Description: Mozc engine for fcitx - Client of the Mozc input method
  Fcitx is a input method framework with extension support, which provides
@@ -80,7 +81,7 @@
  fcitx-mozc provides client part of the Mozc input method.
 
 Package: emacs-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, emacs | emacs23 | emacs24, emacs-mozc-bin (= ${binary:Version})
 Description: Mozc for Emacs
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
@@ -91,7 +92,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: emacs-mozc-bin
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-server (= ${binary:Version})
 Description: Helper module for emacs-mozc
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
@@ -102,7 +103,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: mozc-server
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: Server of the Mozc input method
@@ -114,7 +115,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: mozc-utils-gui
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: mozc-server (= ${binary:Version})
 Suggests: ibus-qt4

=== debian/rules ===
--- 
+++ 
@@ -7,23 +7,18 @@
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 
-DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 DEB_BUILD_MULTIARCH :=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
-ifeq ($(DEB_BUILD_ARCH_OS),linux)
-  BUILD_OS=linux
-  TARGET=renderer/renderer.gyp:mozc_renderer
-endif
-ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
-  BUILD_OS=gnu-kfreebsd
-  TARGET=
-endif
+
+# clear XDG_CONFIG_DIRS for qtchooser
+unexport XDG_CONFIG_DIRS
+
 BUILD_DIR=./out_linux
-
 TARGETS=unix/ibus/ibus.gyp:ibus_mozc \
 	unix/emacs/emacs.gyp:mozc_emacs_helper \
 	unix/uim/uim.gyp:uim-mozc \
 	unix/fcitx/fcitx.gyp:fcitx-mozc \
-	server/server.gyp:mozc_server gui/gui.gyp:mozc_tool $(TARGET)
+	server/server.gyp:mozc_server gui/gui.gyp:mozc_tool \
+	renderer/renderer.gyp:mozc_renderer
 
 # for architecture dependent variables and changelog vars
 vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
@@ -37,8 +32,8 @@
 
 override_dh_auto_configure:
 	GYP_DEFINES="use_libprotobuf=1" python build_mozc.py gyp \
-		--gypdir=/usr/bin --channel_dev=0 \
-		--os=${BUILD_OS} --build_base=$(BUILD_DIR) 
+		--gypdir=/usr/bin \
+		--build_base=$(BUILD_DIR)
 
 override_dh_auto_build:
 	V=1 python build_mozc.py build_tools -c Release --jobs=1
@@ -62,12 +57,12 @@
 	rm -rf chrome/skk/skk_util_all_test.target.mk
 	rm -rf chrome/skk/skk_util_test.target.mk
 
+	dh_auto_clean
+
 override_dh_auto_install:
-ifeq ($(DEB_BUILD_ARCH_OS),linux)
 	# mozc-server
 	install -D -m 0755  $(BUILD_DIR)/Release/mozc_renderer \
 		$(CURDIR)/debian/mozc-server/usr/lib/mozc/mozc_renderer
-endif
 	# ibus-mozc
 	install -D -m 0755  $(BUILD_DIR)/Release/ibus_mozc \
 		$(CURDIR)/debian/ibus-mozc/usr/lib/ibus-mozc/ibus-engine-mozc
@@ -84,6 +79,18 @@
 	# fcitx-mozc
 	install -D -m 0755 $(BUILD_DIR)/Release/fcitx-mozc.so \
 		 $(CURDIR)/debian/fcitx-mozc/usr/lib/$(DEB_BUILD_MULTIARCH)/fcitx/fcitx-mozc.so
+	# mo
+	install -D -m 0644 $(BUILD_DIR)/Release/obj/gen/unix/fcitx/po/ja.mo \
+		$(CURDIR)/debian/fcitx-mozc/usr/share/locale/ja/LC_MESSAGES/fcitx-mozc.mo
+	install -D -m 0644 $(BUILD_DIR)/Release/obj/gen/unix/fcitx/po/zh_TW.mo \
+		$(CURDIR)/debian/fcitx-mozc/usr/share/locale/zh_TW/LC_MESSAGES/fcitx-mozc.mo
+	install -D -m 0644 $(BUILD_DIR)/Release/obj/gen/unix/fcitx/po/zh_CN.mo \
+		$(CURDIR)/debian/fcitx-mozc/usr/share/locale/zh_CN/LC_MESSAGES/fcitx-mozc.mo
+	# config file
+	install -D -m 0644 unix/fcitx/fcitx-mozc.conf \
+		$(CURDIR)/debian/fcitx-mozc/usr/share/fcitx/addon/fcitx-mozc.conf
+	install -D -m 0644 unix/fcitx/mozc.conf \
+		$(CURDIR)/debian/fcitx-mozc/usr/share/fcitx/inputmethod/mozc.conf
 
 override_dh_fixperms-arch:
 	chmod -x debian/emacs-mozc/usr/share/emacs/site-lisp/emacs-mozc/mozc.el

## mozc 1.13.1651.102

=== debian/changelog ===
mozc (1.13.1651.102-2) unstable; urgency=medium

  * Add emacs-mozc.emacsen-compat.
  * Add emacsen-common (<< 2.0.0) to Conflicts of emacs-mozc.
  * Add version to libprotobuf-dev. (Closes: #737521, #737207, #737266)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 07 Feb 2014 16:39:00 +0900

mozc (1.13.1651.102-1) unstable; urgency=low

  * New upstream release.
  * Add emacs-mozc.postinst and emacs-mozc.prerm.
    Fix initialize with mozc#731977 by emacs. (Closes: #731977)
  * Update fcitx patch.
  * Update debian/control.
    - Bump Standards-Version to 3.9.5.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 17 Jan 2014 08:37:10 +0900

mozc (1.12.1599.102-1) unstable; urgency=low

  * New upstream release.
  * Update fcitx-mozc.patch to 1.12.1599.102.1.
  * Update uim-mozc.patch to r330.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 06 Nov 2013 06:51:00 +0900

mozc (1.11.1522.102-2) unstable; urgency=low

  * Update debian/control.
    - Add mozc-utils-gui to Recommends of uim-mozc.
    - Add desktop-file-utils to Build-Depends.
  * Update debian/rules.
    - Install ibus-setup-mozc.desktop by mozc-utils-gui.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 24 Oct 2013 16:22:14 +0900

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: mozc
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9),
 	libibus-1.0-dev (>= 1.4.1) | libibus-dev (>= 1.4.1),
 	libssl-dev, pkg-config, libxcb-xfixes0-dev, libgtk2.0-dev,
-	python-dev, gyp (>= 0.1~svn1654), protobuf-compiler,
-	libprotobuf-dev, libqt4-dev, libuim-dev,
-	libzinnia-dev, fcitx-libs-dev, gettext
+	python-dev, gyp (>= 0.1~svn1729-2), protobuf-compiler,
+	libprotobuf-dev (>= 2.5.0-9), libqt4-dev, libuim-dev,
+	libzinnia-dev, fcitx-libs-dev, gettext,
+	desktop-file-utils
 Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/mozc/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mozc.git
@@ -47,6 +47,7 @@
 Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.8.1-2),
 	mozc-data, mozc-server (= ${binary:Version})
+Recommends: mozc-utils-gui (= ${binary:Version})
 Multi-Arch: same
 Description: Mozc engine for uim - Client of the Mozc input method
  uim is an input method module library supporting various languages, which 
@@ -83,6 +84,7 @@
 Package: emacs-mozc
 Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, emacs | emacs23 | emacs24, emacs-mozc-bin (= ${binary:Version})
+Conflicts: emacsen-common (<< 2.0.0)
 Description: Mozc for Emacs
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
  such as Chromium OS, Windows, Mac and Linux.
@@ -116,7 +118,7 @@
 
 Package: mozc-utils-gui
 Architecture: i386 amd64 armel armhf
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-data
 Recommends: mozc-server (= ${binary:Version})
 Suggests: ibus-qt4
 Description: GUI utilities of the Mozc input method

=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,11 @@
 	# mozc-server
 	install -D -m 0755  $(BUILD_DIR)/Release/mozc_renderer \
 		$(CURDIR)/debian/mozc-server/usr/lib/mozc/mozc_renderer
+
+	# mozc-utils-gui
+	desktop-file-install --dir=$(CURDIR)/debian/mozc-utils-gui/usr/share/applications \
+		$(CURDIR)/debian/setup-mozc.desktop
+
 	# ibus-mozc
 	install -D -m 0755  $(BUILD_DIR)/Release/ibus_mozc \
 		$(CURDIR)/debian/ibus-mozc/usr/lib/ibus-mozc/ibus-engine-mozc

## mozc 1.15.1857.102

=== debian/changelog ===
mozc (1.15.1857.102-1ubuntu2) wily; urgency=medium

  * Run testcases.

 -- Aron Xu <happyaron@ubuntu.com>  Wed, 09 Sep 2015 19:10:29 +0800

mozc (1.15.1857.102-1ubuntu1) wily; urgency=medium

  * Drop uim support for main inclusion
  * Allow parallel building
  * Remove useless build dependency libssl-dev
  * Do not generate shlibs for fcitx

 -- Aron Xu <happyaron@ubuntu.com>  Sun, 16 Aug 2015 23:01:48 +0800

mozc (1.15.1857.102-1) unstable; urgency=medium

  * New upstream release.
  * Remove fix_build_mo_of_fcitx.
  * Update fcitx-mozc.patch.
  * Update uim to r334.
  * Update debian/rules.
    - Remove line of build_tools.
    - Remove obj directory from path.
  * Update debian/control.
    - Update Standards-Version to 3.9.5.
    - Add ninja-build to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 06 Aug 2014 03:45:16 +0900

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9),
 	libibus-1.0-dev (>= 1.4.1) | libibus-dev (>= 1.4.1),
-	libssl-dev, pkg-config, libxcb-xfixes0-dev, libgtk2.0-dev,
+	pkg-config, libxcb-xfixes0-dev, libgtk2.0-dev,
 	python-dev, gyp (>= 0.1~svn1729-2), protobuf-compiler,
-	libprotobuf-dev (>= 2.5.0-9), libqt4-dev, libuim-dev,
+	libprotobuf-dev (>= 2.5.0-9), libqt4-dev,
 	libzinnia-dev, fcitx-libs-dev, gettext,
-	desktop-file-utils
-Standards-Version: 3.9.4
+	desktop-file-utils, ninja-build
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/mozc/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mozc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mozc.git;a=summary
@@ -42,25 +42,6 @@
  ibus-mozc provides client part of the Mozc input method.
  .
  This open-source project originates from Google Japanese Input.
-
-Package: uim-mozc
-Architecture: i386 amd64 armel armhf
-Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.8.1-2),
-	mozc-data, mozc-server (= ${binary:Version})
-Recommends: mozc-utils-gui (= ${binary:Version})
-Multi-Arch: same
-Description: Mozc engine for uim - Client of the Mozc input method
- uim is an input method module library supporting various languages, which 
- become a frontend for Anthy, SKK, Canna, T-Code, TUT-Code, 
- Pinyin (Chinese input method), Hangul (Korean input method), 
- IPA (International Phonetic Alphabet), etc.
- Most of the functions are implemented with Scheme, so it's very simple 
- and flexible.
- .
- Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
- such as Chromium OS, Windows, Mac and Linux.
- .
- uim-mozc provides client part of the Mozc input method.
 
 Package: fcitx-mozc
 Architecture: i386 amd64 armel armhf

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,17 @@
 
 DEB_BUILD_MULTIARCH :=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
 
+NUMJOBS=1
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
+
 # clear XDG_CONFIG_DIRS for qtchooser
 unexport XDG_CONFIG_DIRS
 
 BUILD_DIR=./out_linux
 TARGETS=unix/ibus/ibus.gyp:ibus_mozc \
 	unix/emacs/emacs.gyp:mozc_emacs_helper \
-	unix/uim/uim.gyp:uim-mozc \
 	unix/fcitx/fcitx.gyp:fcitx-mozc \
 	server/server.gyp:mozc_server gui/gui.gyp:mozc_tool \
 	renderer/renderer.gyp:mozc_renderer
@@ -28,7 +32,7 @@
 SOURCE_VERSION := $(call vafilt,$(CHANGELOG_VARS),Version)
 
 %:
-	dh $@ 
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	GYP_DEFINES="use_libprotobuf=1" python build_mozc.py gyp \
@@ -36,8 +40,7 @@
 		--build_base=$(BUILD_DIR)
 
 override_dh_auto_build:
-	V=1 python build_mozc.py build_tools -c Release --jobs=1
-	V=1 python build_mozc.py build $(TARGETS) -c Release --jobs=1
+	V=1 python build_mozc.py build $(TARGETS) -c Release --jobs=$(NUMJOBS)
 
 override_dh_auto_clean:
 	python build_mozc.py clean
@@ -74,28 +77,32 @@
 	install -d $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/
 	sed -e 's|/usr/libexec/ibus-engine-mozc|/usr/lib/ibus-mozc/ibus-engine-mozc|' \
 		-e 's|0\.0\.0\.0|$(SOURCE_VERSION)|g' < \
-		$(BUILD_DIR)/Release/obj/gen/unix/ibus/mozc.xml > \
+		$(BUILD_DIR)/Release/gen/unix/ibus/mozc.xml > \
 		$(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/mozc.xml
 	
 	# uim-mozc
-	install -D -m 0755 $(BUILD_DIR)/Release/libuim-mozc.so  \
-		 $(CURDIR)/debian/uim-mozc/usr/lib/$(DEB_BUILD_MULTIARCH)/uim/plugin/libuim-mozc.so
+	#install -D -m 0755 $(BUILD_DIR)/Release/libuim-mozc.so  \
+	#	 $(CURDIR)/debian/uim-mozc/usr/lib/$(DEB_BUILD_MULTIARCH)/uim/plugin/libuim-mozc.so
 
 	# fcitx-mozc
 	install -D -m 0755 $(BUILD_DIR)/Release/fcitx-mozc.so \
 		 $(CURDIR)/debian/fcitx-mozc/usr/lib/$(DEB_BUILD_MULTIARCH)/fcitx/fcitx-mozc.so
 	# mo
-	install -D -m 0644 $(BUILD_DIR)/Release/obj/gen/unix/fcitx/po/ja.mo \
+	install -D -m 0644 $(BUILD_DIR)/Release/gen/unix/fcitx/po/ja.mo \
 		$(CURDIR)/debian/fcitx-mozc/usr/share/locale/ja/LC_MESSAGES/fcitx-mozc.mo
-	install -D -m 0644 $(BUILD_DIR)/Release/obj/gen/unix/fcitx/po/zh_TW.mo \
+	install -D -m 0644 $(BUILD_DIR)/Release/gen/unix/fcitx/po/zh_TW.mo \
 		$(CURDIR)/debian/fcitx-mozc/usr/share/locale/zh_TW/LC_MESSAGES/fcitx-mozc.mo
-	install -D -m 0644 $(BUILD_DIR)/Release/obj/gen/unix/fcitx/po/zh_CN.mo \
+	install -D -m 0644 $(BUILD_DIR)/Release/gen/unix/fcitx/po/zh_CN.mo \
 		$(CURDIR)/debian/fcitx-mozc/usr/share/locale/zh_CN/LC_MESSAGES/fcitx-mozc.mo
 	# config file
 	install -D -m 0644 unix/fcitx/fcitx-mozc.conf \
 		$(CURDIR)/debian/fcitx-mozc/usr/share/fcitx/addon/fcitx-mozc.conf
 	install -D -m 0644 unix/fcitx/mozc.conf \
 		$(CURDIR)/debian/fcitx-mozc/usr/share/fcitx/inputmethod/mozc.conf
+
+override_dh_auto_test:
+	dh_auto_test
+	python build_mozc.py runtests
 
 override_dh_fixperms-arch:
 	chmod -x debian/emacs-mozc/usr/share/emacs/site-lisp/emacs-mozc/mozc.el
@@ -105,6 +112,9 @@
 	chmod -x debian/mozc-data/usr/share/icons/mozc/*.png
 	dh_fixperms
 
+override_dh_makeshlibs:
+	dh_makeshlibs -Xfcitx
+
 .PHONY: override_dh_installemacsen
 override_dh_installemacsen:
 	dh_installemacsen --priority=50

## mozc 2.17.2116.102%2Bgitfd0f5b34%2Bdfsg

=== debian/changelog ===
mozc (2.17.2116.102+gitfd0f5b34+dfsg-1ubuntu1.2) xenial; urgency=medium

  * Add d/patches/add_support_new_japanese_era.patch.
    This adds Japan's new era 令和 (Reiwa) support. (LP: #1823444)

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Mon, 22 Apr 2019 21:55:24 +0900

mozc (2.17.2116.102+gitfd0f5b34+dfsg-1ubuntu1.1) xenial; urgency=low

  * debian/rules:
    - export NO_PKG_MANGLE=1 in order to not have translations stripped
      (LP: #1591503).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 29 Jun 2016 16:04:00 +0200

mozc (2.17.2116.102+gitfd0f5b34+dfsg-1ubuntu1) xenial; urgency=low

  [ Ikuya Awashiro ]
  * Merge from Debian unstable. (LP: #1547816) Remaining changes:
    - Drop uim support for main inclusion
    - Do not generate shlibs for fcitx
    - Add apparmor configuration.

  [ Mitsuya Shibata ]
  * Drop "Run testcases." by new upstream sources changes.
    Upstream drops the code of test frameworks from source archive. We need to
    exec git-submodule to run testcases. Therefore drop "run testcases" as
    same as Debian.

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sun, 20 Mar 2016 19:29:14 +0900

mozc (2.17.2116.102+gitfd0f5b34+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add support parallel building. (Closes: #795709)
  * Remove libss-dev from Build-Depends. (Closes: #759135)
  * Bump Standards-Version to 3.9.6.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 12 Sep 2015 13:59:18 +0900

mozc (1.15.1857.102-1ubuntu3) xenial; urgency=medium

  * Add apparmor configuration.

 -- Aron Xu <happyaron@ubuntu.com>  Fri, 18 Mar 2016 02:31:12 +0800
